ASLOD(1)

NAME
aelflod - ACK ELF loader

SYNOPSIS
aelflod [-h] inputfile outputfile

DESCRIPTION
aelflod converts an absolute ack.out file into a simple binary memory dump wrapped up in an ELF executable. It is suitable for producing executables for operating systems such as Linux. The input file must contain exactly four segments: TEXT, ROM, DATA and BSS, in that order, all occupying contiguous memory. The file must have all references resolved and be linked to a fixed address. The fixed address must be at least 0x54 bytes greater than a page boundary, in order to make room for the ELF header itself. aelflod will write out an ELF header followed by each segment, in order, ensuring that enough padding is inserted between each segment to keep the offsets correct. The created executable will contain just one rwx segment, and no sections.

SEE ALSO
ack.out(5)